# Uses of Interface
org.eclipse.net4j.util.event.IListener

Packages that use IListener
Package
Description
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.event
A framework for sending of and listening to events.
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.
org.eclipse.net4j.util.om.monitor
Interfaces and classes for platform-independent progress monitoring.
org.eclipse.net4j.util.registry
Interfaces and classes for general purpose registries.
org.eclipse.net4j.util.ui
Reusable UI components.
org.eclipse.net4j.util.ui.actions
Reusable actions and action delegates.
org.eclipse.net4j.util.ui.container
An element wizard framework for managed containers.
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of IListener in org.eclipse.net4j.util.concurrent

Methods in org.eclipse.net4j.util.concurrent that return IListener
Modifier and Type
Method
Description
`final IListener[]`
DelegableReentrantLock.`getListeners()`
`IListener[]`
TimerLifecycle.`getListeners()`
Methods in org.eclipse.net4j.util.concurrent with parameters of type IListener
Modifier and Type
Method
Description
`final void`
DelegableReentrantLock.`addListener(IListener listener)`
`void`
TimerLifecycle.`addListener(IListener listener)`
`final void`
DelegableReentrantLock.`removeListener(IListener listener)`
`void`
TimerLifecycle.`removeListener(IListener listener)`

## Uses of IListener in org.eclipse.net4j.util.container

Classes in org.eclipse.net4j.util.container that implement IListener
Modifier and Type
Class
Description
`class`
`ContainerEventAdapter<E>`
A `listener` that dispatches container `events` to methods that can be overridden by extenders.
`class`
`LifecycleEventConverter<E>`
A delegating `listener` that converts `lifecycle events` into `container events`.
`class`
`SelfAttachingContainerListener`
`static class`
`SelfAttachingContainerListener.Delegating`
Constructors in org.eclipse.net4j.util.container with parameters of type IListener
Modifier
Constructor
Description
``
`Delegating(IListener delegate)`
``
`Delegating(IListener delegate, boolean delegateContainerEvents)`

## Uses of IListener in org.eclipse.net4j.util.event

Subinterfaces of IListener in org.eclipse.net4j.util.event
Modifier and Type
Interface
Description
`static interface`
`IListener.NotifierAware`
Classes in org.eclipse.net4j.util.event that implement IListener
Modifier and Type
Class
Description
`class`
`EventPrinter`
`class`
`LogListener`
`class`
`ThrowableEventAdapter`
A `listener` that dispatches throwable `events` to methods that can be overridden by extenders.
`static class`
`ThrowableEventAdapter.ToPrintStream`
Prints the stack traces of throwable `events` to a `PrintStream`.
Fields in org.eclipse.net4j.util.event declared as IListener
Modifier and Type
Field
Description
`static final IListener[]`
EventUtil.`NO_LISTENERS`
Methods in org.eclipse.net4j.util.event that return IListener
Modifier and Type
Method
Description
`static IListener[]`
EventUtil.`getListeners(Object notifier)`
`static IListener[]`
EventUtil.`getListeners(Object notifier, Predicate<IListener> predicate)`
`IListener[]`
INotifier.`getListeners()`
Returns the listeners that are registered with this notifier.
`IListener[]`
Notifier.`getListeners()`
`static IListener[]`
EventUtil.`removeListeners(Object notifier, Predicate<IListener> predicate)`
Methods in org.eclipse.net4j.util.event with parameters of type IListener
Modifier and Type
Method
Description
`static boolean`
EventUtil.`addListener(Object notifier, IListener listener)`
`void`
INotifier.`addListener(IListener listener)`
Adds a listener to this notifier.
`void`
Notifier.`addListener(IListener listener)`
`static boolean`
EventUtil.`addUniqueListener(Object notifier, IListener listener)`
`boolean`
INotifier.INotifier2.`addUniqueListener(IListener listener)`
Adds a listener to this notifier unless this notifier already `contains` the listener.
`boolean`
Notifier.`addUniqueListener(IListener listener)`
`void`
Notifier.`fireEvent(IEvent event, IListener[] listeners)`
`static boolean`
EventUtil.`hasListener(Object notifier, IListener listener)`
`boolean`
INotifier.INotifier2.`hasListener(IListener listener)`
Returns `true` if this notifier contains the listener, `false` otherwise.
`boolean`
Notifier.`hasListener(IListener listener)`
`protected void`
Notifier.`listenerAdded(IListener listener)`
`protected void`
Notifier.`listenerRemoved(IListener listener)`
`static boolean`
EventUtil.`removeListener(Object notifier, IListener listener)`
`void`
INotifier.`removeListener(IListener listener)`
Removes a listener from this notifier.
`void`
Notifier.`removeListener(IListener listener)`
Method parameters in org.eclipse.net4j.util.event with type arguments of type IListener
Modifier and Type
Method
Description
`static IListener[]`
EventUtil.`getListeners(Object notifier, Predicate<IListener> predicate)`
`static IListener[]`
EventUtil.`removeListeners(Object notifier, Predicate<IListener> predicate)`

## Uses of IListener in org.eclipse.net4j.util.lifecycle

Classes in org.eclipse.net4j.util.lifecycle that implement IListener
Modifier and Type
Class
Description
`class`
`LifecycleEventAdapter`
A `listener` that dispatches lifecycle `events` to methods that can be overridden by extenders.

## Uses of IListener in org.eclipse.net4j.util.om.monitor

Methods in org.eclipse.net4j.util.om.monitor that return IListener
Modifier and Type
Method
Description
`IListener[]`
NotifyingMonitor.`getListeners()`
Methods in org.eclipse.net4j.util.om.monitor with parameters of type IListener
Modifier and Type
Method
Description
`void`
NotifyingMonitor.`addListener(IListener listener)`
`void`
NotifyingMonitor.`removeListener(IListener listener)`
Constructors in org.eclipse.net4j.util.om.monitor with parameters of type IListener
Modifier
Constructor
Description
``
`NotifyingMonitor(String task, IListener[] listeners)`

## Uses of IListener in org.eclipse.net4j.util.registry

Methods in org.eclipse.net4j.util.registry that return IListener
Modifier and Type
Method
Description
`IListener[]`
UnmodifiableRegistry.`getListeners()`
Methods in org.eclipse.net4j.util.registry with parameters of type IListener
Modifier and Type
Method
Description
`void`
UnmodifiableRegistry.`addListener(IListener listener)`
`void`
UnmodifiableRegistry.`removeListener(IListener listener)`

## Uses of IListener in org.eclipse.net4j.util.ui

Classes in org.eclipse.net4j.util.ui that implement IListener
Modifier and Type
Class
Description
`class`
`FactoryTypeContentProvider`
A `structured content provider` that shows the `factory types` of the `input`.
`class`
`StaticContentProvider`
`class`
`StructuredContentProvider<INPUT>`

## Uses of IListener in org.eclipse.net4j.util.ui.actions

Classes in org.eclipse.net4j.util.ui.actions that implement IListener
Modifier and Type
Class
Description
`class`
`SashLayoutAction`
`static class`
`SashLayoutAction.Horizontal`
`static class`
`SashLayoutAction.Vertical`

## Uses of IListener in org.eclipse.net4j.util.ui.container

Classes in org.eclipse.net4j.util.ui.container that implement IListener
Modifier and Type
Class
Description
`class`
`ElementWizardComposite`
`static class`
`ElementWizardComposite.WithCombo`
`static class`
`ElementWizardComposite.WithRadios`

## Uses of IListener in org.eclipse.net4j.util.ui.views

Classes in org.eclipse.net4j.util.ui.views that implement IListener
Modifier and Type
Class
Description
`class`
`ContainerItemProvider<CONTAINER extends IContainer<Object>>`
`class`
`ContainerItemProvider.FixedChildrenNode`
`class`
`ContainerItemProvider.LeafNode`
`class`
`ContainerPathItemProvider<CONTAINER extends IContainer<Object>>`
Deprecated.
`class`
`ContainerView.ContainerViewItemProvider`
`class`
`ItemProvider<INPUT>`
`class`
`ManagedContainerItemProvider`
Fields in org.eclipse.net4j.util.ui.views declared as IListener
Modifier and Type
Field
Description
`protected IListener`
ContainerItemProvider.AbstractContainerNode.`containerListener`
Methods in org.eclipse.net4j.util.ui.views that return IListener
Modifier and Type
Method
Description
`protected IListener`
ContainerView.Default.`getContainerListener()`

## Uses of IListener in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets that return IListener
Modifier and Type
Method
Description
`IListener[]`
SashComposite.`getListeners()`
Methods in org.eclipse.net4j.util.ui.widgets with parameters of type IListener
Modifier and Type
Method
Description
`void`
SashComposite.`addListener(IListener listener)`
`void`
SashComposite.`removeListener(IListener listener)`